<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;


/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});


Route::get('/',function(){
    if(DB::connection()->getDatabaseName())
    {
       echo "Yes! successfully connected to the DB: " . DB::connection()->getDatabaseName();
    }
});

// add user name to data base controller
Route::post("addUserName/{id}/{firstName}/{lastName}/{phone_number}/{is_logged_in}","save_name_contraller@addUserName");

//  phone number controller
Route::get("checkPhoneNumber/{phoneNumber}","check_phone_number@checkPhoneNumber");
Route::get("getfisrtNamelastName/{phoneNumber}","check_phone_number@getfisrtNamelastName");
Route::get("updatePersonInfo/{phoneNumber}/{first_name}/{last_name}","check_phone_number@updatePersonInfo");
Route::get("getAllAddresses/{phoneNumber}","check_phone_number@getAllAddresses");
Route::get("addAddressManual/{phoneNumber}/{title}/{area_name}/{street_name}/{building_number}/{floor_number}/{apartment_number}","check_phone_number@addAddressManual");
Route::get("getAddressDetails/{id}","check_phone_number@getAddressDetails");
Route::post("updateAddressDetails/{title}/{area_name}/{street_name}/{building_number}/{floor_number}/{apartment_number}/{id}","check_phone_number@updateAddressDetails");

// get all branches controllers
Route::get("getAllBranches","get_branches_controller@getAllBranches");
Route::get("getBranchDetails/{id}","get_branches_controller@getBranchDetails");
Route::post("contuct_us","contuct_us_controller@store");

// get all cities controller
Route::get("getAllCities","get_all_cities_controller@getAllCities");
Route::get("getAllAreas/{city_id}","get_all_cities_controller@getAllAreas");
Route::get("getAllAreasAndCities","get_all_cities_controller@getAllAreasAndCities");

//check is logged in 
Route::get("checkIsLoggedIn/{mobile_number}","check_is_logged_in@checkIsLoggedIn");

// all category feild conroller
Route::get("getAllCategory/{lang_code}","category_controller@getAllCategory");
Route::get("getAllItemFromCategory/{categoryId}","category_controller@getAllItemFromCategory");

// item details controller
Route::get("getItemDetails/{itemId}","get_item_details_controller@getItemDetails");
Route::get("getItemAddOnsCategory/{itemId}","get_item_details_controller@getItemAddOnsCategory");
Route::get("getListOfAddOns/{addOnsCatId}","get_item_details_controller@getListOfAddOns");

// app settings controller
Route::get("getAppSettings","app_settings_controller@getAppSettings");

//creat order controller
Route::post("createOrder","creat_order_controller@createOrder");

Route::get("OrderItemDetails","order_details_controller@getOrderItemDetails");

// get all payments
Route::get("getAllPayment","get_all_payment@getAllPayment");

// get my orders
Route::get("getMyOrders/{phone_number}","order_details_controller@getMyOrders");
Route::get("getMyOrderDetails/{order_id}","order_details_controller@getMyOrderDetails");